[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TObjectList.Add

Add an object to the list.

## Declaration

Source position: contnrs.pp line 82

`public function TObjectList.Add(`
`AObject: TObject`
`):Integer;`

## Arguments

`AObject` |  | Object to add to the list.

## Function result

Position at which the object was added

## Description

Add overrides the TList implementation to accept objects (AObject) instead of pointers.

The function returns the index of the position where the object was added.

## Errors

If the list must be expanded, and not enough memory is available, an exception may be raised.

## See also

TObjectList.Insert |  | Insert an object in the list.
#rtl.classes.TList.Delete
TObjectList.Extract |  | Extract an object from the list.
TObjectList.Remove |  | Remove (and possibly free) an element from the list.

Documentation generated on: Feb 26 2014